> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/contacts/companies/lookup
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/companies/lookup:
    get:
      tags:
        - Company Lookup
      summary: Lookup
      operationId: CompanyLookupController_lookup_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: q
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: tags
          required: false
          in: query
          schema:
            default: ''
            type: string
        - name: statuses
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyLookupPageResponseDto'
components:
  schemas:
    CompanyLookupPageResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CompanyLookupItemResponseDto'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CompanyLookupItemResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        logoAssetId:
          type:
            - string
            - 'null'
        domain:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            type: string
        identity:
          $ref: '#/components/schemas/CompanyIdentityResponseDto'
        primaryPersonName:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - domain
        - tags
        - identity
        - primaryPersonName
    CompanyIdentityResponseDto:
      type: object
      properties:
        globalCompany:
          anyOf:
            - $ref: '#/components/schemas/GlobalCompanyResponseDto'
            - type: 'null'
        version:
          type:
            - number
            - 'null'
        suggestion:
          anyOf:
            - $ref: '#/components/schemas/CompanyIdentitySuggestionDto'
            - type: 'null'
      required:
        - globalCompany
        - version
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          type: string
          enum:
            - brand
            - rep
            - dealer
            - distributor
        legalName:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt
    CompanyIdentitySuggestionDto:
      type: object
      properties:
        candidates:
          type: array
          items:
            $ref: '#/components/schemas/CompanyIdentityCandidateResponseDto'
        expectedVersion:
          type:
            - number
            - 'null'
        evidenceFingerprint:
          type: string
      required:
        - candidates
        - expectedVersion
        - evidenceFingerprint
    CompanyIdentityCandidateResponseDto:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/GlobalCompanyResponseDto'
        nameMatch:
          type: boolean
        matchingHosts:
          type: array
          items:
            type: string
        typeMatch:
          type: boolean
      required:
        - company
        - nameMatch
        - matchingHosts
        - typeMatch

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.